package com.afp.ordermanagement.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Document(collection = "orders")
public class Order {
    public Order(OrderStatus status) {
        this.orderStatus = status;
    }

    @Id
    private String id;

    private String orderTrackingCode;

    private OrderStatus orderStatus;

    private long orderCreatedAt, orderUpdatedAt;

    private String customerId, customerEmailAddress;

    private List<Item> orderItems;

    private CustomerAddress customerAddress;
}
